> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/eulerv2/eulerv2reordercollaterals.md).

# EulerV2ReorderCollaterals

### Description

Reorder account collaterals. Can be used to optimize gas costs when checking account health status

### Action ID

`0xb87c133d`

### SDK Action

```ts
const eulerV2ReorderCollateralsAction = new dfs.actions.eulerV2.EulerV2ReorderCollateralsAction(
    account,
    indexes
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param account The address of the Euler account, defaults to user's wallet
    /// @param indexes The array of swap steps to reorder collaterals
    struct Params {
        address account;
        uint8[][] indexes;
    }
```

### Return Value

```solidity
return bytes32(0);
```

### Events and Logs

```solidity
emit ActionEvent("EulerV2ReorderCollaterals", logData);
logger.logActionDirectEvent("EulerV2ReorderCollaterals", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/eulerv2/eulerv2reordercollaterals.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
